/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * UploadedImage
 */

public class UploadedImage {
  @JsonProperty("image")
  private String image = null;

  @JsonProperty("success")
  private Boolean success = true;

  public UploadedImage image(String image) {
    this.image = image;
    return this;
  }

   /**
   * Get image
   * @return image
  **/
  @ApiModelProperty(value = "")
  public String getImage() {
    return image;
  }

  public void setImage(String image) {
    this.image = image;
  }

   /**
   * Whether the upload succeeded or not.
   * @return success
  **/
  @ApiModelProperty(value = "Whether the upload succeeded or not.")
  public Boolean isSuccess() {
    return success;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UploadedImage uploadedImage = (UploadedImage) o;
    return Objects.equals(this.image, uploadedImage.image) &&
        Objects.equals(this.success, uploadedImage.success);
  }

  @Override
  public int hashCode() {
    return Objects.hash(image, success);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UploadedImage {\n");

    sb.append("    image: ").append(toIndentedString(image)).append("\n");
    sb.append("    success: ").append(toIndentedString(success)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

